### Function

# Gdk events_get_distance

#### Declaration [src]

    gboolean
    gdk_events_get_distance (
      GdkEvent* event1,
      GdkEvent* event2,
      double* distance
    )

#### Description [src]

Returns the distance between the event locations.

This assumes that both events have X/Y information. If not, this function returns `FALSE`.

#### Parameters

`event1` | `GdkEvent`
| First `GdkEvent`.
| The data is owned by the caller of the function.
`event2` | `GdkEvent`
| Second `GdkEvent`.
| The data is owned by the caller of the function.
`distance` | `double*`
| Return location for the distance.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if the distance could be calculated.